# Old QBasic Programs

------

These are some programs I made in QBasic from 1994 to 1995. These are of course laughtable in terms of code quality or value, but I have them here for my own historical records, and just to prove that coding and computer graphics, just like everything else, is something you learn slowly starting at, well, level zero.

I was 16 or so when I made this, but I had been coding simple games and programs for two years in GW Basic, but unfortunately I lost the floppy disk where I stored those (I didn't have a hard drive at the time, just floppys).

Anyway, these are the programs included here:

## nprimos.bas

It calculates the number primes for a specified interval. Of course, no clever algorithm was used; just brute force instead. The fun for this one was learning to fake shadows on text mode, computing the prime numbers was just an excuse to exercise ASCII shadows.

## simon.bas

The [Simon](https://en.wikipedia.org/wiki/Simon_(game)) game. One of my first programs with real graphics. I made it because a friend got a real physical one for his birthday and I wanted one too; so I made my own. Unfortunately the timing of the beep sequences was hardcoded to work well on my 386 computer of the time, so it would need some tweaking to run properly on faster machines.

## dibu_ascii.bas

This was my first attempt to do a user-oriented application. It was a drawing program using ASCII characters. Quite nice, it was able to correctly choose the best text character depending on the trajectory of the pointer. Lot of menus to copy and paste blocks of graphics, and menus to select colors, save to disk and so on.

## win_paint.bas

My most complex creation at that time (1995); made to mimic the PBrush of Windows 95 beta version. A complex logic for the user interface. My first graphics algorithms to draw stars and polygons, and also my first realtime effect for the screensaver of the application. That's when I realize that I just wanted to become a graphics programer, and not a game or user application developer.


## Requirements

[QBasic interpreter](https://en.wikipedia.org/wiki/QBasic)

## License

[WTFPL license](https://en.wikipedia.org/wiki/WTFPL)


## Credits

[Inigo Quilez](https://iquilezles.org/)



